/*
 * Copyright 2007 Geir Hedemark
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.testaco.test.configuration;

import java.util.HashMap;
import java.util.Map;
import java.util.Set;
import java.util.TreeSet;

public class DatabaseConfigurationDetails {
	private String name;
	private String driverClass;
	private String connectionURI;
	private String loginName;
	private String loginPassword;
	private String emptyDbUnitFileLocation;
	private String schemaDefinitionFile;
	private String databaseType;
	private String schemaName;
	private Map<String, Set<String>> ignoredFields = new HashMap<String, Set<String>>();
	public DatabaseConfigurationDetails() {
		super();
	}
	public String getConnectionURI() {
		return connectionURI;
	}
	public String getDatabaseType() {
		return databaseType;
	}
	public String getDriverClass() {
		return driverClass;
	}
	public String getEmptyDbUnitFileLocation() {
		return emptyDbUnitFileLocation;
	}
	public String getLoginName() {
		return loginName;
	}
	public String getLoginPassword() {
		return loginPassword;
	}
	public String getName() {
		return name;
	}
	public String getSchemaDefinitionFile() {
		return schemaDefinitionFile;
	}
	public String getSchemaName() {
		return schemaName;
	}
	public void setConnectionURI(String connectionURI) {
		this.connectionURI = connectionURI;
	}
	public void setDatabaseType(String databaseType) {
		this.databaseType = databaseType;
	}
	public void setDriverClass(String driverClass) {
		this.driverClass = driverClass;
	}
	public void setEmptyDbUnitFileLocation(String emptyDbUnitFileLocation) {
		this.emptyDbUnitFileLocation = emptyDbUnitFileLocation;
	}
	public void setLoginName(String loginName) {
		this.loginName = loginName;
	}
	public void setLoginPassword(String loginPassword) {
		this.loginPassword = loginPassword;
	}
	public void setName(String name) {
		this.name = name;
	}
	public void setSchemaDefinitionFile(String schemaDefinitionFile) {
		this.schemaDefinitionFile = schemaDefinitionFile;
	}
	public void setSchemaName(String schemaName) {
		this.schemaName = schemaName;
	}
	public Set<String> getIgnoredFields(String table) {
		Set<String> returnValue;
		returnValue = ignoredFields.get(table);
		if (returnValue == null) {
			returnValue = new TreeSet<String>();
		}
		return returnValue;
	}
	public void setIgnoredFields(String table, Set<String> ignoredFields) {
		this.ignoredFields.put(table, ignoredFields);
	}
}
